package com.engine.salary.report.enums;

public enum WeaBrowserTypeEnum {

    PAYMENT_ORGANIZATION("paymentOrganizationFieldBrowser", "个税扣缴义务人"),
    PAYMENT_AGENCY("paymentAgencyFieldBrowser", "缴纳组织"),
    SUB_COMPANY("subcompanyFieldBrowser", "分部"),
    DEPARTMENT("departmentFieldBrowser", "部门"),
    GRADE("gradeFieldBrowser", "职级"),
    POSITION("positionFieldBrowser", "岗位"),
    STATUS("statusFieldBrowser", "人事状态"),

    EMPLOYEE("employeeFieldBrowser", "人员"),
    ITEM("subTableItemFieldBrowser", "统计项目"),

    TAX_AGENT("TaxAgentBrowser", "个税扣缴义务人"),
    USER_STATUS("UserStatusBrowser", "人事状态"),
    INCOME_CATEGORY("IncomeCategoryBrowser", "收入所得项目"),
    SALARY_ITEM("salaryItemBrowser", "薪资项目");

    WeaBrowserTypeEnum(String type, String desc) {
        this.browserType = type;
        this.desc = desc;
    }

    private final String browserType;
    private final String desc;


    public String getBrowserType() {
        return browserType;
    }

    public String getDesc() {
        return desc;
    }
}
